
############
# Object Type "@object_type@"
############
dtype::create \
       -name {@object_type@} \
       -supertype {@supertype@} \
       -pretty_name {@pretty_name@} \
       -pretty_plural {@pretty_plural@} \
       -table_name {@table_name@} \
       -id_column {@id_column@} \
       -name_method {@name_method@}


<multiple name="attributes">
dtype::create_attribute \
       -object_type {@object_type@} \
       -name {@attributes.attribute_name@} \
       -datatype {@attributes.datatype@} \
       -pretty_name {@attributes.pretty_name@} \
       -pretty_plural {@attributes.pretty_plural@} \
       -default_value {@attributes.default_value@} \
       -sort_order {@attributes.sort_order@}
lang::message::register \
       -update_sync $default_locale acs-translations \
       {@object_type@_@attributes.attribute_name@} {@attributes.pretty_name@}
lang::message::register \
       -update_sync $default_locale acs-translations \
       {@object_type@_@attributes.attribute_name@s} {@attributes.pretty_plural@}
</multiple>

<multiple name="forms">
# Form "@forms.form_name@"
set form_id [dtype::form::create]
dtype::form::map_type -form_id $form_id -form {@forms.form_name@} -object_type {@object_type@}

<group column="form_id">
set element_id [dtype::form::add_element \
       -form_id $form_id \
       -element {@forms.attribute_name@} \
       -widget {@forms.widget@}]
array unset attr
array set attr [dtype::get_attribute -object_type {@object_type@} -name {@forms.attribute_name@}]
dtype::element::map_attribute -element_id $element_id \
       -attribute_id $attr(attribute_id)
<group column="element_id">dtype::element::create_or_replace_parameter -element_id $element_id \
       -param {@forms.param@} \
       -value {@forms.value@}
</group>

</group>
</multiple>
