ad_page_contract {

    @author Timo Hentschel (timo@timohentschel.de)
    @creation-date 2005-06-03
    @cvs-id $Id: element-remove.tcl,v 1.1 2005/12/13 02:59:46 dblue Exp $

} {
    {form_id:notnull}
    {object_type:notnull}
    {element_id:multiple}
}

set user_id [auth::require_login]
permission::require_permission -object_id [ad_conn package_id] -privilege admin

db_1row get_form_name {}

db_transaction {
    foreach e_id $element_id {
        db_1row attribute_id {}

        dtype::element::unmap_attribute -element_id $e_id -attribute_id $attribute_id
        dtype::element::delete -element_id $e_id
    }
}

ad_returnredirect [export_vars -base form {object_type form_id}]
