<?xml version="1.0"?>

<queryset>

<fullquery name="get_form_name">
  <querytext>

    select form as form_name
    from dtype_form_type_map
    where form_id = :form_id

  </querytext>
</fullquery>

<fullquery name="get_attributes">
  <querytext>

    select attribute_name, attribute_id
    from acs_attributes a
    where object_type = :object_type
    and not exists (select 1
		   from dtype_element_attribute_map em, dtype_elements e
           where em.element_id = e.element_id
             and e.form_id = :form_id
		     and em.attribute_id = a.attribute_id)
    order by sort_order

  </querytext>
</fullquery>

<fullquery name="get_widgets">
  <querytext>

    select widget, widget
    from dtype_widgets
    order by lower(widget)

  </querytext>
</fullquery>

</queryset>
